Bug 451980 - Package perl-Convert-ASN1 should be taken from RHEL channel and removed from ISO
Package perl-Convert-ASN1 should be taken from RHEL channel and removed from ISO
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Steve Salevan
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-06-18 10:41 EDT by Jan Pazdziora
Modified: 2008-11-05 13:40 EST (History)
1 user (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:40:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-06-18 10:41:21 EDT
Description of problem:

The package perl-Convert-ASN1 is present both in RHEL 4 and in RHEL 5. We should
not ship our own (old) version.

Version-Release number of selected component (if applicable):

Satellite 5.1.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. Mount Satellite ISO, cd to it.
2. Run find . -name 'perl-Convert-ASN1*'
3. Also look into the Satellite channel.
  
Actual results:

Rpm found.

Expected results:

Package not found and Satellite installs and operates normally.

Additional info:
Comment 1 Jan Pazdziora 2008-06-19 05:09:22 EDT
Checking in comps-rhel4-rhnsat52.xml;
/cvs/devel/comps/comps-rhel4-rhnsat52.xml,v  <--  comps-rhel4-rhnsat52.xml
new revision: 1.22; previous revision: 1.21
done
Checking in comps-rhel5-rhnsat52.xml;
/cvs/devel/comps/comps-rhel5-rhnsat52.xml,v  <--  comps-rhel5-rhnsat52.xml
new revision: 1.10; previous revision: 1.9
done

Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.s390/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.s390/rhelrpms,v  <-- 
rhelrpms
new revision: 1.6; previous revision: 1.5
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.s390x/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.s390x/rhelrpms,v  <--
 rhelrpms
new revision: 1.6; previous revision: 1.5
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.x86_64/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.x86_64/rhelrpms,v  <--
 rhelrpms
new revision: 1.6; previous revision: 1.5
done
Checking in 5/RHN-Satellite-5.2/updates/rhelrpms;
/cvs/devel/rhelfiles/5/RHN-Satellite-5.2/updates/rhelrpms,v  <--  rhelrpms
new revision: 1.4; previous revision: 1.3
done
Comment 2 Brad Buckingham 2008-08-13 12:52:20 EDT
Mass move to ON_QA.
Comment 3 Steve Salevan 2008-08-18 16:01:10 EDT
Looks like this fix hasn't hit the latest candidate trees:

/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/i386/i386-global/Satellite/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm
/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/i386/i386-global/EmbeddedDB/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm
/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/x86_64/x86_64-global/Satellite/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm
/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/x86_64/x86_64-global/EmbeddedDB/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm
/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/s390/s390-global/Satellite/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm
/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/s390x/s390x-global/Satellite/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm
/mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20080813.1/s390x/s390x-global/EmbeddedDB/perl-Convert-ASN1-0.15-5.rhel4.noarch.rpm

Moving to FAILS_QA.
Comment 4 Jan Pazdziora 2008-08-18 17:33:47 EDT
The -global directories contain all rpms from brew. You should really look into $arch/$arch, e.g. i386/i386. That's where the composes are. Or just look at the ISOs.
Comment 5 Steve Salevan 2008-08-26 16:02:14 EDT
Checked on RHEL4/5 and Hosted Satellite Channel, package no longer exists.  Moving to VERIFIED.
Comment 6 Preethi Thomas 2008-10-22 08:51:31 EDT
release pending
Comment 7 Brandon Perkins 2008-11-05 13:40:40 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.